@tailwind base;
@tailwind components;
@tailwind utilities;

:root {
  --foreground-rgb: 0, 0, 0;
  --background-start-rgb: 214, 219, 220;
  --background-end-rgb: 255, 255, 255;
}

@media (prefers-color-scheme: dark) {
  :root {
    --foreground-rgb: 255, 255, 255;
    --background-start-rgb: 0, 0, 0;
    --background-end-rgb: 0, 0, 0;
  }
}

body {
  color: rgb(var(--foreground-rgb));
  background: linear-gradient(
      to bottom,
      transparent,
      rgb(var(--background-end-rgb))
    )
    rgb(var(--background-start-rgb));
}

@layer components {
  .header-button {
    @apply p-3 ml-5 bg-black hover:bg-white hover:text-gray-800 hover:rounded-xl transition-all duration-300 ease-linear;
  }
  .action-button {
    @apply text-xl mx-4 cursor-pointer hover:text-white;
  }
  .link-card {
    @apply m-2 hover:bg-slate-200 hover:text-gray-600 rounded-xl transition-all duration-300 ease-linear [&>*]:p-3;
  }
}
